Bug 246128 - [UPDATE] www/youtube_dl update to 2020.05.03
Summary: [UPDATE] www/youtube_dl update to 2020.05.03
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-02 21:15 UTC by Chad Jacob Milios
Modified: 2020-05-18 17:38 UTC (History)
1 user (show)

See Also:
tobik: maintainer-feedback-


Attachments
svn diff from /usr/ports/www/youtube_dl (872 bytes, patch)
2020-05-02 21:15 UTC, Chad Jacob Milios
no flags Details | Diff
Patch ver 2020.05.08 (912 bytes, patch)
2020-05-10 08:00 UTC, daniel.engberg.lists
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chad Jacob Milios 2020-05-02 21:15:37 UTC
Created attachment 214037 [details]
svn diff from /usr/ports/www/youtube_dl

rockin my house off the foundation presently. i've downloaded all of one video

i use 11.3-RELEASE-p8/amd64

did not portlint or poudriere or anything like that, just tweaked PORTVERSION and did:

make -DBATCH deinstall makesum clean package install

to promptly commence liquefaction of spiral ganglions with opus stereo audio and incineration of retinae with vp9 4K video from a webm container complements of the port's namesake
Comment 1 daniel.engberg.lists 2020-05-10 08:00:16 UTC
Created attachment 214337 [details]
Patch ver 2020.05.08

Supersedes the previous patch

Tested on FreeBSD 13.0-CURRENT #0 r358620 (AMD64) - Compile and run-time (youtube)
Poudriere testport OK on 12.1-RELEASE (AMD64)
Comment 2 commit-hook freebsd_committer 2020-05-18 17:38:49 UTC
A commit references this bug:

Author: tobik
Date: Mon May 18 17:37:52 UTC 2020
New revision: 535762
URL: https://svnweb.freebsd.org/changeset/ports/535762

Log:
  www/youtube_dl: Update to 2020.05.08 [1]

  - Assign to myself after 3 consecutive maintainer timeouts
  - Improve comment a little
  - Always install shell completions
  - Install fish completion into vendor completions directory

  PR:		246128 [1]
  Approved by:	araujo (maintainer timeout, > 2 weeks)

Changes:
  head/www/youtube_dl/Makefile
  head/www/youtube_dl/distinfo
  head/www/youtube_dl/files/patch-Makefile